Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.web
Class UserAgent

    java.lang.Object
      |
      +--com.bea.web.UserAgent

public final class UserAgent
extends java.lang.Object
implements java.io.Serializable

Identifies a user's Web browser by inspecting the USER-AGENT field of an HTTP request.

Author:
  Copyright © 2000, 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  Serialized Form

Field Summary
`static byte` | `byAOL`
`static byte` | `byMAC`
`static byte` | `byMSIE`
`static byte` | `byNETSCAPE`
`static byte` | `byUNKNOWN`
`static byte` | `byWINDOWS`

Constructor Summary
`UserAgent()`

Method Summary
`byte` | `getBrowser()`
`java.lang.String` | `getBrowserStr()`
`byte` | `getPlatform()`
`java.lang.String` | `getPlatformStr()`
`java.lang.String` | `getVersion()`
`static UserAgent` | `identify(java.lang.String strUserAgent)`
`void` | `setBrowser(byte byBrowser)`
`void` | `setPlatform(byte byPlatform)`
`void` | `setVersion(java.lang.String strVersion)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### byUNKNOWN

    public static final byte byUNKNOWN

### byWINDOWS

    public static final byte byWINDOWS

### byMAC

    public static final byte byMAC

### byAOL

    public static final byte byAOL

### byMSIE

    public static final byte byMSIE

### byNETSCAPE

    public static final byte byNETSCAPE

Constructor Detail

### UserAgent

    public UserAgent()

Method Detail

### toString

    public final java.lang.String toString()

  Overrides:
    toString in class java.lang.Object

### getVersion

    public final java.lang.String getVersion()

### getBrowser

    public final byte getBrowser()

### getBrowserStr

    public final java.lang.String getBrowserStr()

### getPlatform

    public final byte getPlatform()

### getPlatformStr

    public final java.lang.String getPlatformStr()

### setVersion

    public final void setVersion(java.lang.String strVersion)

### setBrowser

    public final void setBrowser(byte byBrowser)

### setPlatform

    public final void setPlatform(byte byPlatform)

### identify

    public static final UserAgent identify(java.lang.String strUserAgent)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Integration (WLI)